Last Comment Bug 746294 - Tagged message headers in thread pane are really hard to read in Windows 7 Aero Glass.
: Tagged message headers in thread pane are really hard to read in Windows 7 Ae...
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Mail Window Front End (show other bugs)
: Trunk
: x86_64 Windows 7
: -- normal (vote)
: Thunderbird 14.0
Assigned To: Richard Marti (:Paenglab)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-17 13:03 PDT by Mike Conley (:mconley) - (needinfo me!)
Modified: 2012-04-23 11:51 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Example (15.88 KB, image/png)
2012-04-17 13:03 PDT, Mike Conley (:mconley) - (needinfo me!)
no flags Details
Fix the text color (1.50 KB, patch)
2012-04-22 02:19 PDT, Richard Marti (:Paenglab)
mconley: review+
mconley: ui‑review+
Details | Diff | Splinter Review
Selected tags with patch applied (30.39 KB, image/png)
2012-04-23 07:46 PDT, Mike Conley (:mconley) - (needinfo me!)
no flags Details

Description Mike Conley (:mconley) - (needinfo me!) 2012-04-17 13:03:15 PDT
Created attachment 615836 [details]
Example

STR:

1)  In Windows 7, with the Aero Glass theme, tag some messages in the thread pane.  Use any tags that you'd like.  It doesn't matter.
2)  Control select those messages to focus them, then use Ctrl-up/down cursor to select individual messages in the selection.

What happens?

The tagged message in the thread pane are *really* hard to read.  See screenshot.

What's expected?

Readability.
Comment 1 Richard Marti (:Paenglab) 2012-04-22 02:19:57 PDT
Created attachment 617297 [details] [diff] [review]
Fix the text color

Now we need a -aero file to override the XP rule. This patch changes the text color from white to black. I didn't used system color because everything in tagColors.css is hard coded.
Comment 2 Mike Conley (:mconley) - (needinfo me!) 2012-04-23 07:46:55 PDT
Created attachment 617472 [details]
Selected tags with patch applied
Comment 3 Mike Conley (:mconley) - (needinfo me!) 2012-04-23 08:07:37 PDT
Comment on attachment 617297 [details] [diff] [review]
Fix the text color

Review of attachment 617297 [details] [diff] [review]:
-----------------------------------------------------------------

Looks good, thanks for the quick work!

Also giving ui-r+.

-Mike
Comment 4 Mike Conley (:mconley) - (needinfo me!) 2012-04-23 11:51:35 PDT
Committed to comm-central as http://hg.mozilla.org/comm-central/rev/363f8c71f58a

Note You need to log in before you can comment on or make changes to this bug.